Bug 125191 - Rename {adjust, paint}SearchFieldDecoration, {adjust, paint}SearchFieldResultsDecoration
Summary: Rename {adjust, paint}SearchFieldDecoration, {adjust, paint}SearchFieldResult...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords:
Depends on:
Blocks: 125239
  Show dependency treegraph
 
Reported: 2013-12-03 15:06 PST by Daniel Bates
Modified: 2013-12-06 10:10 PST (History)
9 users (show)

See Also:


Attachments
Patch (24.04 KB, patch)
2013-12-03 15:07 PST, Daniel Bates
joepeck: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2013-12-03 15:06:20 PST
Towards upstreaming the iOS concept of render theme decorations, we should rename RenderTheme::{adjust, paint}SearchFieldDecorationStyle and RenderTheme::{adjust, paint}SearchFieldResultsDecoration to avoid ambiguity.
Comment 1 Daniel Bates 2013-12-03 15:07:47 PST
Created attachment 218350 [details]
Patch
Comment 2 Joseph Pecoraro 2013-12-04 14:58:03 PST
Comment on attachment 218350 [details]
Patch

r=me
Comment 3 Daniel Bates 2013-12-06 10:10:43 PST
Committed r160226: <http://trac.webkit.org/changeset/160226>